<?php
// Do not allow direct access to the file.
if( ! defined( 'ABSPATH' ) ) {
    exit;
}
/**
 * Sample implementation of the Custom Header feature
 * @package maxstart
 */

/**
 * Set up the WordPress core custom header feature.
 */
function maxstart_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'maxstart_custom_header_args', array(
		'default-image'          => get_template_directory_uri() . '/images/header.jpg',
		'default-text-color'     => '000',
		'width'                  => 1000,
		'height'                 => 250,
		'flex-height'            => true		
	) ) );
}
add_action( 'after_setup_theme', 'maxstart_custom_header_setup' );

if ( ! function_exists( 'maxstart_header_style' ) ) :
	/**
	 * Styles the header image and text displayed on the blog.
	 */
	function maxstart_header_style() {
		$maxstart_header_text_color = get_header_textcolor();
			wp_enqueue_style(
				'maxstart-custom',
				get_template_directory_uri() . '/css/custom.css'
			);
		
			//Check if user has defined any header image.
			if ( get_header_image() ) :
				$maxstart_header_img  = get_header_image();
			
				$maxstart_custom_css = "		
				.site-title,.site-description
				 {
				 color: #{$maxstart_header_text_color};
				
				  }
				.page-header-area
				  {
					background-image:url('{$maxstart_header_img}');
				  }
				";
				wp_add_inline_style( 'maxstart-custom', $maxstart_custom_css );
				endif;		
		
	}
	add_action( 'wp_enqueue_scripts', 'maxstart_header_style' );
endif;