<?php
function maxstart_customize_register( $customize_option ) {
	
if ( ! function_exists( 'maxstart_sanitize_checkbox' ) ) :


    function maxstart_sanitize_checkbox( $checked ) {

        return ( ( isset( $checked ) && true === $checked ) ? true : false );

    }

endif;


    if ( !function_exists('maxstart_sanitize_select') ) :
        function maxstart_sanitize_select( $input, $setting ) {

            // Ensure input is a slug.
            $input = sanitize_text_field( $input );

            // Get list of choices from the control associated with the setting.
            $choices = $setting->manager->get_control( $setting->id )->choices;

                // If the input is a valid key, return it; otherwise, return the default.
            return ( array_key_exists( $input, $choices ) ? $input : $setting->default );
        }
    endif;


   
    
    function maxstart_sanitize_dropdown_pages( $page_id, $setting ) {
        // Ensure $input is an absolute integer.
        $page_id = absint( $page_id );
    
        // If $page_id is an ID of a published page, return it; otherwise, return the default.
        return ( 'publish' == get_post_status( $page_id ) ? $page_id : $setting->default );
    }


	
    /** Front Page Section Settings starts **/	

    $customize_option->add_panel('maxstart-header', 
        array(
            'title'       => esc_html__('Header', 'maxstart'),        
		    'description' => '',                                        
		     'priority'   => 3,
        )
    );
	

    /** Header Section Settings Start **/

 $customize_option->add_section('maxstart_top_header', array(
      'title'   => esc_html__('Top Header', 'maxstart'),
      'description' => '',
      'panel' => 'maxstart-header',
      'priority'    => 110
    ));
  
  $customize_option->add_setting('maxstart_show_header_section',
    array(
        'default'           => false,
        'sanitize_callback' => 'maxstart_sanitize_checkbox'
    )
);
$customize_option->add_control('maxstart_show_header_section',
    array(
        'label'    => esc_html__('Enable Homepage header Section', 'maxstart'),
        'section'  => 'maxstart_top_header',
        'type'     => 'checkbox',
        'priority' => 1,

    )
);


    $customize_option->add_setting('maxstart_top_head_phone_no', 
        array(
            'default'           => '',
            'type'              => 'theme_mod',
            'sanitize_callback' => 'sanitize_text_field'
        )
    );

    $customize_option->add_control('maxstart_top_head_phone_no',
        array(
            'label'    => esc_html__('Phone Number', 'maxstart'),
            'section'  => 'maxstart_top_header',
            'priority' => 1
        )
    );


$customize_option->add_setting('maxstart_top_head_time', 
        array(
            'default'           => '',
            'type'              => 'theme_mod',
            'sanitize_callback' => 'sanitize_text_field'
        )
    );

    $customize_option->add_control('maxstart_top_head_time',
        array(
            'label'    => esc_html__('Timimgs', 'maxstart'),
            'section'  => 'maxstart_top_header',
            'priority' => 2
        )
    );

  
    $customize_option->add_setting('maxstart_top_head_main_id', 
        array(
            'default'           => '',
            'type'              => 'theme_mod',
            'sanitize_callback' => 'sanitize_text_field'
        )
    );

    $customize_option->add_control('maxstart_top_head_main_id',
         array(
            'label'     => esc_html__('Mail', 'maxstart'),
            'section'   => 'maxstart_top_header',
            'priority'  => 3
        )
     );
  
  

$customize_option->add_setting(
'maxstart_header_facebook_link',
array(

    'default'=>'',
    'type'=>'theme_mod',
    'sanitize_callback'=> 'esc_url_raw'


)
);

$customize_option->add_control(
'maxstart_header_facebook_link',
array(

'label'=>esc_html__('facebook url','maxstart'),
'section'=>'maxstart_top_header',
'priority'=>11,
'type'      => 'url',
)
);


$customize_option->add_setting(
'maxstart_header_twitter_link',
array(

    'default'=>'',
    'type'=>'theme_mod',
    'sanitize_callback'=> 'esc_url_raw'


)
);

$customize_option->add_control(
'maxstart_header_twitter_link',
array(

'label'=>esc_html__('twitter url','maxstart'),
'section'=>'maxstart_top_header',
'priority'=>11,
'type'      => 'url',
)
);

$customize_option->add_setting(
'maxstart_header_linkedin_link',
array(

    'default'=>'',
    'type'=>'theme_mod',
    'sanitize_callback'=> 'esc_url_raw'


)
);



$customize_option->add_control(
'maxstart_header_linkedin_link',
array(

'label'=>esc_html__('Linkedin url','maxstart'),
'section'=>'maxstart_top_header',
'priority'=>11,
'type'      => 'url',
)
);

$customize_option->add_setting(
'maxstart_header_instagram_link',
array(

    'default'=>'',
    'type'=>'theme_mod',
    'sanitize_callback'=> 'esc_url_raw'


)
);



$customize_option->add_control(
'maxstart_header_instagram_link',
array(

'label'=>esc_html__('Instagram url','maxstart'),
'section'=>'maxstart_top_header',
'priority'=>11,
'type'      => 'url',
)
);


 $customize_option->add_section('maxstart_menu_header', array(
      'title'   => esc_html__('Search Bar', 'maxstart'),
      'description' => '',
      'panel' => 'maxstart-header',
      'priority'    => 110
    ));
  
  $customize_option->add_setting('maxstart_show_menu_search_section',
    array(
        'default'           => false,
        'sanitize_callback' => 'maxstart_sanitize_checkbox'
    )
);
$customize_option->add_control('maxstart_show_menu_search_section',
    array(
        'label'    => esc_html__('Enable menu section Search Bar', 'maxstart'),
        'section'  => 'maxstart_menu_header',
        'type'     => 'checkbox',
        'priority' => 1,

    )
);



  $customize_option->add_panel('maxstart-banner', 
        array(
            'title'       => esc_html__('Maxstart Theme Settings', 'maxstart'),        
		    'description' => '',                                        
		     'priority'   => 3,
        )
    );
	

 $customize_option->add_section('maxstart_banner_image', array(
      'title'   => esc_html__('Home Banner section', 'maxstart'),
      'description' => '',
      'panel' => 'maxstart-banner',
      'priority'    => 120
    ));
    
 $customize_option->add_setting('maxstart_show_banner_section',
    array(
        'default'           => false,
        'sanitize_callback' => 'maxstart_sanitize_checkbox'
    )
);
$customize_option->add_control('maxstart_show_banner_section',
    array(
        'label'    => esc_html__('Enable Homepage search Section', 'maxstart'),
        'section'  => 'maxstart_banner_image',
        'type'     => 'checkbox',
        'priority' => 1,

    )
);
    
 $maxstart_banner_no = 1;
        for( $i = 1; $i <= $maxstart_banner_no; $i++ ) {
            $maxstart_bannerepage = 'maxstart_banner_page_' . $i;
        
   $customize_option->add_setting( $maxstart_bannerepage,
        array(
            'default'           => 1,
            'sanitize_callback' => 'maxstart_sanitize_dropdown_pages',
        )
    );

    $customize_option->add_control( $maxstart_bannerepage,
        array(
            'label'        => esc_html__( 'Banner Page', 'maxstart' ),
            'section'      => 'maxstart_banner_image',
            'type'         => 'dropdown-pages',
            'priority'     => 2,
        )
    );
    }

    
    $customize_option->add_setting('maxstart_learn_button', array(
      'default'   =>'',
      'type'      => 'theme_mod',
      'sanitize_callback'   => 'sanitize_text_field'
    ));

    $customize_option->add_control('maxstart_learn_button', array(
      'label'   => esc_html__('First Button', 'maxstart'),
      'section' => 'maxstart_banner_image',
      'priority'  => 7
    ));
    
    $customize_option->add_setting('maxstart_learn_button_url', array(
     'default'   =>  '',
      'type'      => 'theme_mod',
    'sanitize_callback' => 'esc_url_raw'
    ));

    $customize_option->add_control('maxstart_learn_button_url', array(
      'label'   => esc_html__('first Button URL', 'maxstart'),
      'section' => 'maxstart_banner_image',
      'priority'  => 8
    )); 




    $customize_option->add_setting('maxstart_more_button', array(
      'default'   =>'',
      'type'      => 'theme_mod',
      'sanitize_callback'   => 'sanitize_text_field'
    ));

    $customize_option->add_control('maxstart_more_button', array(
      'label'   => esc_html__('Second Button', 'maxstart'),
      'section' => 'maxstart_banner_image',
      'priority'  => 9
    ));
    
    $customize_option->add_setting('maxstart_more_button_url', array(
     'default'   =>  '',
      'type'      => 'theme_mod',
    'sanitize_callback' => 'esc_url_raw'
    ));

    $customize_option->add_control('maxstart_more_button_url', array(
      'label'   => esc_html__('Second Button URL', 'maxstart'),
      'section' => 'maxstart_banner_image',
      'priority'  => 10
    ));


//service section

$customize_option->add_section('maxstart_service_section',              
        array(
            'title'       => esc_html__('Services Section', 'maxstart'),          
            'description' => '',             
            'panel'       => 'maxstart-banner',      
            'priority'    => 140,
        )
    );
    
  $customize_option->add_setting('maxstart_show_service_section',
    array(
        'default'           => false,
        'sanitize_callback' => 'maxstart_sanitize_checkbox'
    )
);
$customize_option->add_control('maxstart_show_service_section',
    array(
        'label'    => esc_html__('Enable Homepage Service Section', 'maxstart'),
        'section'  => 'maxstart_service_section',
        'type'     => 'checkbox',
        'priority' => 1,

    )
);


    // Services title
    $customize_option->add_setting('maxstart_services_heading', 
        array(
            'default'           => '',
            'type'              => 'theme_mod',
            'sanitize_callback' => 'sanitize_text_field'
        )
    );


    $customize_option->add_control('maxstart_services_heading',
        array(
           'label'    => esc_html__('Service Title', 'maxstart'),
           'section'  => 'maxstart_service_section',
           'priority' => 1
        )
    );

    // Services 
   
    $service_no = 3;
        for( $i = 1; $i <= $service_no; $i++ ) {
            $maxstart_home_service = 'maxstart_service_page_' . $i;
        
        
    $customize_option->add_setting( $maxstart_home_service,
        array(
            'default'           => 1,
            'sanitize_callback' => 'maxstart_sanitize_dropdown_pages',
        )
    );

    $customize_option->add_control( $maxstart_home_service,
        array(
            'label'        => esc_html__( 'Service Page ', 'maxstart' ) .$i,
            'section'      => 'maxstart_service_section',
            'type'         => 'dropdown-pages',
            'priority'     => 100,
        )
    );
    }


$customize_option->add_section('maxstart_blog_section', 
        array(
            'title'       => esc_html__('Blogs Section', 'maxstart'),
            'description' => '',
            'panel'       => 'maxstart-banner',
            'priority'    => 160
        )
     );
    
  $customize_option->add_setting('maxstart_show_hide_blog_section',
    array(
        'default'           => 'false',
        'sanitize_callback' => 'maxstart_sanitize_checkbox'
    )
);
$customize_option->add_control('maxstart_show_hide_blog_section',
    array(
        'label'    => esc_html__('Enable Homepage Blog Section', 'maxstart'),
        'section'  => 'maxstart_blog_section',
        'type'     => 'checkbox',
        'priority' => 1,

    )
);
    
    $customize_option->add_setting('maxstart_blog_top_title', 
         array(
            'default'            => '',
            'type'               => 'theme_mod',
            'sanitize_callback'  => 'sanitize_text_field'
        )
    );

    $customize_option->add_control('maxstart_blog_top_title', 
        array(
            'label'    => esc_html__('Blog Title', 'maxstart'),
            'section'  => 'maxstart_blog_section',
            'priority' => 1
        )
    );

}
add_action( 'customize_register', 'maxstart_customize_register' );