<?php
/*
Template Name: Home Page
*/

if( ! defined( 'ABSPATH' ) ) {
    exit;
}
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 */

get_header();


if(get_theme_mod('maxstart_show_banner_section',false)){
    $maxstart_banner_no        = 1;
    $maxstart_banner_pages      = array();
    for( $i = 1; $i <= $maxstart_banner_no; $i++ ) 
       {
        $maxstart_banner_pages[]    =  get_theme_mod( "maxstart_banner_page_$i", 1 );
       }
        $maxstart_banner_args  = array(
            'post_type' => 'page',
            'post__in' => array_map( 'absint', $maxstart_banner_pages ),
            'posts_per_page' => absint($maxstart_banner_no),
            'orderby' => 'post__in'
        );
           $maxstart_banner_query = new wp_Query( $maxstart_banner_args );
           $count = 0;
            while($maxstart_banner_query->have_posts() && $count <= 5 ) :
            $maxstart_banner_query->the_post();
            ?>
	<section class="fixed-banner" style="background-image: url(<?php the_post_thumbnail_url(); ?>);">
        <div class="inner-fixed-banner" >
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                         <div class="fixed-box">
                            <h1><span><?php the_title(); ?></span></h1>
                            <?php the_excerpt(); ?>
                            <?php if(get_theme_mod("maxstart_learn_button_url",'')!=""){ ?>
                            <a href="<?php echo esc_url(get_theme_mod("maxstart_learn_button_url",'maxstart')); ?>" class="fixed-btn active"><?php echo esc_html(get_theme_mod("maxstart_learn_button",'maxstart')); ?></a>
                                <?php } if(get_theme_mod("maxstart_more_button_url",'')!=""){?>
                            <a href="<?php echo esc_url(get_theme_mod("maxstart_more_button_url",'maxstart')); ?>" class="fixed-btn"><?php echo esc_html(get_theme_mod("maxstart_more_button",'maxstart')); ?></a>
                           <?php } ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
        <?php
        $count = $count + 1;
        endwhile;
        wp_reset_postdata();
        ?> 
          <?php }
else
{?>
<div class="page-header-area" itemprop="breadcrumb">
   <div class="container">  
       <div class="row align-items-center">
           <div class="col-md-6 col-lg-4">
                <div class="page-header-title text-center text-md-left">
                     <?php if (is_home() || is_front_page()) { ?>
                    <h1><?php echo esc_html__('Home', 'maxstart') ?></h1>
                     <?php } ?>
                </div>
            </div>
       
        </div>
    </div>
</div>
 <?php }
   ?>
<?php

    if(get_theme_mod('maxstart_show_service_section',false)){

    $maxstart_services_no        = 3;
    $maxstart_services_pages      = array();
    
    for( $i = 1; $i <= $maxstart_services_no; $i++ ) {
        $maxstart_services_pages[]    =  get_theme_mod( "maxstart_service_page_$i", 1 );
    }

    $maxstart_services_args  = array(
        'post_type' => 'page',
        'post__in' => array_map( 'absint', $maxstart_services_pages ),
        'posts_per_page' => absint($maxstart_services_no),
        'orderby' => 'post__in'
    ); 
    $maxstart_home_services_query = new wp_Query( $maxstart_services_args );  
?>

<section class="service-area-wrapper ptb-90 mt-sm-60 bg-gray">
    <div class="container">
        <div class="row">
            <div class="col-md-6 col-lg-8">
                <div class="service-content-wrapper">
                    <div class="section-header-wrap">
                    	<?php if(get_theme_mod("maxstart_services_heading",'')!="") {?>
                        <div class="section-title-wrap">
                            <h2><?php echo esc_html(get_theme_mod("maxstart_services_heading",'maxstart')); ?></h2>
                        </div>
                       <?php } ?>
                    </div>
                </div>
            </div>       
        </div>
        <div class="row">
        	 <?php
	           $count = 0;
	            while($maxstart_home_services_query->have_posts() && $count <= 5 ) :
	            $maxstart_home_services_query->the_post();
	            ?>
            <div class="col-md-4">
                <div class="service-item">
                	<?php if (has_post_thumbnail()) : ?>
                    <figure class="service-item__thumb">
                        <a href="<?php echo esc_url(the_permalink()); ?>">
                        	<?php the_post_thumbnail(); ?>
                        </a>
                        <figcaption class="service-item__thumb-hvr">
                            <a href="<?php echo esc_url(the_permalink()); ?>" class="read-more"><?php echo esc_html__('Read More','maxstart'); ?></a>
                            <a href="<?php echo esc_url(the_permalink()); ?>" class="btn-link-icon" target="_blank"><i
                                    class="fa fa-external-link"></i></a>
                        </figcaption>
                    </figure>
                    <?php endif; ?>
                    <div class="service-item__info">
                        <h2><a href="<?php echo esc_url(the_permalink()); ?>"><?php the_title(); ?></a></h2>
                         <?php the_excerpt(); ?>
                        <a href="<?php echo esc_url(the_permalink()); ?>" class="btn-read-more"><?php echo esc_html__('Read More','maxstart'); ?></a>
                    </div>
                </div>
            </div>
            <?php
            $count = $count + 1;
            endwhile;
            wp_reset_postdata();
            ?>
        </div>
    </div>
</section>
<?php
    }
?>

  <?php
 if(have_posts()) : 
  while(have_posts()) : the_post();
    if(get_the_content()!= "")
    {
    ?>
    <section>
        <div class="container">
          <div class="row">
            <?php the_content(); ?> 
          </div>
      </div> 
    </section>  
    <?php 
    } 
  endwhile;
  endif;  

?>

<?php
 if(get_theme_mod('maxstart_show_hide_blog_section','true')){
 	?>
    <section class="news-why-choose-area mt-90 mt-sm-60 ">
        <div class="container">
            <div class="row">
                <div class="col-lg-7 col-xl-6">
                    <div class="news-content-wrapper">
                        <div class="section-header-wrap">
                            <?php if(get_theme_mod("maxstart_blog_top_title",'')!="") {?>
                            <div class="section-title-wrap">
                                <h2><?php echo esc_html(get_theme_mod("maxstart_blog_top_title",'maxstart')); ?></h2>
                            </div>
                        <?php } ?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
             <?php 
               $maxstart_blogpost = new WP_Query( array( 'posts_per_page' => 4 ) );
               if ( $maxstart_blogpost->have_posts() ) : 
                    while ( $maxstart_blogpost->have_posts() ) : $maxstart_blogpost->the_post(); 
                     ?>
                <div class="col-md-3 col-sm-6">
                    <div class="news-item hvr-dir-item">
                    	  <?php if (has_post_thumbnail()) : ?>
                        <figure class="news-item__thumb">
                            <a href="<?php echo esc_url(the_permalink()); ?>">
                            	<?php the_post_thumbnail(); ?>
                            </a>
                            <figcaption class="news-item__thumb-hvr hvr-dir">
                                <a href="<?php echo esc_url(the_permalink()); ?>" title="Service quality"
                                    class="btn-zoom btn-popup-img"><i class="fa fa-search-plus"></i></a>
                            </figcaption>
                        </figure>
                     <?php endif; ?>
                        <div class="news-item__info">
                            <h2><a href="<?php echo esc_url(the_permalink()); ?>"><?php the_title(); ?></a></h2>
                            <div class="post-meta">
                                <?php echo esc_html(get_the_date()); ?>
                            </div>
                           <?php the_excerpt(); ?>
                            <a href="<?php echo esc_url(the_permalink()); ?>" class="btn btn-brand"><?php echo esc_html__('Read More','maxstart'); ?></a>
                        </div>	
                    </div>
                </div>
                <?php endwhile; 
                    endif; ?> 
            </div>
        </div>
    </section>
<?php
    }
get_footer();
?>